org.codehaus.plexus.util.cli.shell

## Class CommandShell

- java.lang.Object
- - org.codehaus.plexus.util.cli.shell.Shell
  - - org.codehaus.plexus.util.cli.shell.CommandShell

- All Implemented Interfaces:
    Cloneable

      public class CommandShell
      extends Shell

  Implementation to call the Command.com Shell present on Windows 95, 98 and Me

  Since:
    1.2
  Version:
    $Id$
  Author:
    Carlos Sanchez

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandShell()`

  - ### Method Summary

    - ### Methods inherited from class org.codehaus.plexus.util.cli.shell.Shell

      `addShellArg, clearArguments, clone, getArgumentEscapePattern, getArgumentQuoteDelimiter, getCommandLine, getEscapeChars, getExecutable, getExecutableQuoteDelimiter, getExecutionPreamble, getOriginalCommandLine, getOriginalExecutable, getQuotingTriggerChars, getRawCommandLine, getShellArgs, getShellArgsList, getShellCommand, getShellCommandLine, getWorkingDirectory, getWorkingDirectoryAsString, isDoubleQuotedArgumentEscaped, isDoubleQuotedExecutableEscaped, isQuotedArgumentsEnabled, isQuotedExecutableEnabled, isSingleQuotedArgumentEscaped, isSingleQuotedExecutableEscaped, quoteOneItem, setArgumentEscapePattern, setArgumentQuoteDelimiter, setDoubleQuotedArgumentEscaped, setDoubleQuotedExecutableEscaped, setExecutable, setExecutableQuoteDelimiter, setQuotedArgumentsEnabled, setQuotedExecutableEnabled, setShellArgs, setShellCommand, setSingleQuotedArgumentEscaped, setSingleQuotedExecutableEscaped, setUnconditionalQuoting, setWorkingDirectory, setWorkingDirectory`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandShell

          public CommandShell()

Copyright © 2015. All rights reserved.